## org.eclipse.datatools.modelbase.sql.query
Interface GroupingSetsElementExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, GroupingSetsElement, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface GroupingSetsElementExpression

extends GroupingSetsElement

A representation of the model object 'SQL Grouping Sets Element Expression'.

The following features are supported:

- `Grouping Sets Element Sublist`
- `Grouping`

See Also:
  `SQLQueryModelPackage.getGroupingSetsElementExpression()`

Method Summary
`Grouping` `getGrouping()` Returns the value of the 'Grouping' containment reference.
`GroupingSetsElementSublist` `getGroupingSetsElementSublist()` Returns the value of the 'Grouping Sets Element Sublist' container reference.
`void` `setGrouping(Grouping value)` Sets the value of the '`Grouping`' containment reference.
`void` `setGroupingSetsElementSublist(GroupingSetsElementSublist value)` Sets the value of the '`Grouping Sets Element Sublist`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSetsElement
`getGroupingSets, setGroupingSets`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroupingSetsElementSublist

    GroupingSetsElementSublist getGroupingSetsElementSublist()

  Returns the value of the 'Grouping Sets Element Sublist' container reference. It is bidirectional and its opposite is '`Grouping Sets Element Expr List`'.

  If the meaning of the 'Grouping Sets Element Sublist' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Sets Element Sublist' container reference.
  See Also:
    `setGroupingSetsElementSublist(GroupingSetsElementSublist)`, `SQLQueryModelPackage.getGroupingSetsElementExpression_GroupingSetsElementSublist()`, `GroupingSetsElementSublist.getGroupingSetsElementExprList()`

### setGroupingSetsElementSublist

    void setGroupingSetsElementSublist(GroupingSetsElementSublist value)

  Sets the value of the '`Grouping Sets Element Sublist`' container reference.

  Parameters:
    `value` - the new value of the 'Grouping Sets Element Sublist' container reference.
  See Also:
    `getGroupingSetsElementSublist()`

### getGrouping

    Grouping getGrouping()

  Returns the value of the 'Grouping' containment reference. It is bidirectional and its opposite is '`Grouping Sets Element Expr`'.

  If the meaning of the 'Grouping' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping' containment reference.
  See Also:
    `setGrouping(Grouping)`, `SQLQueryModelPackage.getGroupingSetsElementExpression_Grouping()`, `Grouping.getGroupingSetsElementExpr()`

### setGrouping

    void setGrouping(Grouping value)

  Sets the value of the '`Grouping`' containment reference.

  Parameters:
    `value` - the new value of the 'Grouping' containment reference.
  See Also:
    `getGrouping()`